openSUSE: 2022:0942-1 moderate: python3 | LinuxSecurity.com

   openSUSE Security Update: Security update for python3
______________________________________________________________________________

Announcement ID:    openSUSE-SU-2022:0942-1
Rating:             moderate
References:         #1186819 
Cross-References:   CVE-2021-3572
CVSS scores:
                    CVE-2021-3572 (SUSE): 4.5 CVSS:3.1/AV:N/AC:L/PR:H/UI:R/S:U/C:N/I:H/A:N

Affected Products:
                    openSUSE Leap 15.3
                    openSUSE Leap 15.4
______________________________________________________________________________

   An update that fixes one vulnerability is now available.

Description:

   This update for python3 fixes the following issues:

   - CVE-2021-3572: Fixed an improper handling of unicode characters in pip
     (bsc#1186819).


Patch Instructions:

   To install this openSUSE Security Update use the SUSE recommended installation methods
   like YaST online_update or "zypper patch".

   Alternatively you can run the command listed for your product:

   - openSUSE Leap 15.4:

      zypper in -t patch openSUSE-SLE-15.4-2022-942=1

   - openSUSE Leap 15.3:

      zypper in -t patch openSUSE-SLE-15.3-2022-942=1



Package List:

   - openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64):

      libpython3_6m1_0-3.6.15-150300.10.21.1
      libpython3_6m1_0-debuginfo-3.6.15-150300.10.21.1
      python3-3.6.15-150300.10.21.1
      python3-base-3.6.15-150300.10.21.1
      python3-base-debuginfo-3.6.15-150300.10.21.1
      python3-core-debugsource-3.6.15-150300.10.21.1
      python3-curses-3.6.15-150300.10.21.1
      python3-curses-debuginfo-3.6.15-150300.10.21.1
      python3-dbm-3.6.15-150300.10.21.1
      python3-dbm-debuginfo-3.6.15-150300.10.21.1
      python3-debuginfo-3.6.15-150300.10.21.1
      python3-debugsource-3.6.15-150300.10.21.1
      python3-devel-3.6.15-150300.10.21.1
      python3-devel-debuginfo-3.6.15-150300.10.21.1
      python3-doc-3.6.15-150300.10.21.1
      python3-doc-devhelp-3.6.15-150300.10.21.1
      python3-idle-3.6.15-150300.10.21.1
      python3-testsuite-3.6.15-150300.10.21.1
      python3-testsuite-debuginfo-3.6.15-150300.10.21.1
      python3-tk-3.6.15-150300.10.21.1
      python3-tk-debuginfo-3.6.15-150300.10.21.1
      python3-tools-3.6.15-150300.10.21.1

   - openSUSE Leap 15.4 (x86_64):

      libpython3_6m1_0-32bit-3.6.15-150300.10.21.1
      libpython3_6m1_0-32bit-debuginfo-3.6.15-150300.10.21.1

   - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64):

      libpython3_6m1_0-3.6.15-150300.10.21.1
      libpython3_6m1_0-debuginfo-3.6.15-150300.10.21.1
      python3-3.6.15-150300.10.21.1
      python3-base-3.6.15-150300.10.21.1
      python3-base-debuginfo-3.6.15-150300.10.21.1
      python3-core-debugsource-3.6.15-150300.10.21.1
      python3-curses-3.6.15-150300.10.21.1
      python3-curses-debuginfo-3.6.15-150300.10.21.1
      python3-dbm-3.6.15-150300.10.21.1
      python3-dbm-debuginfo-3.6.15-150300.10.21.1
      python3-debuginfo-3.6.15-150300.10.21.1
      python3-debugsource-3.6.15-150300.10.21.1
      python3-devel-3.6.15-150300.10.21.1
      python3-devel-debuginfo-3.6.15-150300.10.21.1
      python3-doc-3.6.15-150300.10.21.1
      python3-doc-devhelp-3.6.15-150300.10.21.1
      python3-idle-3.6.15-150300.10.21.1
      python3-testsuite-3.6.15-150300.10.21.1
      python3-testsuite-debuginfo-3.6.15-150300.10.21.1
      python3-tk-3.6.15-150300.10.21.1
      python3-tk-debuginfo-3.6.15-150300.10.21.1
      python3-tools-3.6.15-150300.10.21.1

   - openSUSE Leap 15.3 (x86_64):

      libpython3_6m1_0-32bit-3.6.15-150300.10.21.1
      libpython3_6m1_0-32bit-debuginfo-3.6.15-150300.10.21.1


References:

   https://www.suse.com/security/cve/CVE-2021-3572.html
   https://bugzilla.suse.com/1186819

openSUSE: 2022:0942-1 moderate: python3

March 24, 2022
An update that fixes one vulnerability is now available

Description

This update for python3 fixes the following issues: - CVE-2021-3572: Fixed an improper handling of unicode characters in pip (bsc#1186819).

 

Patch

Patch Instructions: To install this openSUSE Security Update use the SUSE recommended installation methods like YaST online_update or "zypper patch". Alternatively you can run the command listed for your product: - openSUSE Leap 15.4: zypper in -t patch openSUSE-SLE-15.4-2022-942=1 - openSUSE Leap 15.3: zypper in -t patch openSUSE-SLE-15.3-2022-942=1


Package List

- openSUSE Leap 15.4 (aarch64 ppc64le s390x x86_64): libpython3_6m1_0-3.6.15-150300.10.21.1 libpython3_6m1_0-debuginfo-3.6.15-150300.10.21.1 python3-3.6.15-150300.10.21.1 python3-base-3.6.15-150300.10.21.1 python3-base-debuginfo-3.6.15-150300.10.21.1 python3-core-debugsource-3.6.15-150300.10.21.1 python3-curses-3.6.15-150300.10.21.1 python3-curses-debuginfo-3.6.15-150300.10.21.1 python3-dbm-3.6.15-150300.10.21.1 python3-dbm-debuginfo-3.6.15-150300.10.21.1 python3-debuginfo-3.6.15-150300.10.21.1 python3-debugsource-3.6.15-150300.10.21.1 python3-devel-3.6.15-150300.10.21.1 python3-devel-debuginfo-3.6.15-150300.10.21.1 python3-doc-3.6.15-150300.10.21.1 python3-doc-devhelp-3.6.15-150300.10.21.1 python3-idle-3.6.15-150300.10.21.1 python3-testsuite-3.6.15-150300.10.21.1 python3-testsuite-debuginfo-3.6.15-150300.10.21.1 python3-tk-3.6.15-150300.10.21.1 python3-tk-debuginfo-3.6.15-150300.10.21.1 python3-tools-3.6.15-150300.10.21.1 - openSUSE Leap 15.4 (x86_64): libpython3_6m1_0-32bit-3.6.15-150300.10.21.1 libpython3_6m1_0-32bit-debuginfo-3.6.15-150300.10.21.1 - openSUSE Leap 15.3 (aarch64 ppc64le s390x x86_64): libpython3_6m1_0-3.6.15-150300.10.21.1 libpython3_6m1_0-debuginfo-3.6.15-150300.10.21.1 python3-3.6.15-150300.10.21.1 python3-base-3.6.15-150300.10.21.1 python3-base-debuginfo-3.6.15-150300.10.21.1 python3-core-debugsource-3.6.15-150300.10.21.1 python3-curses-3.6.15-150300.10.21.1 python3-curses-debuginfo-3.6.15-150300.10.21.1 python3-dbm-3.6.15-150300.10.21.1 python3-dbm-debuginfo-3.6.15-150300.10.21.1 python3-debuginfo-3.6.15-150300.10.21.1 python3-debugsource-3.6.15-150300.10.21.1 python3-devel-3.6.15-150300.10.21.1 python3-devel-debuginfo-3.6.15-150300.10.21.1 python3-doc-3.6.15-150300.10.21.1 python3-doc-devhelp-3.6.15-150300.10.21.1 python3-idle-3.6.15-150300.10.21.1 python3-testsuite-3.6.15-150300.10.21.1 python3-testsuite-debuginfo-3.6.15-150300.10.21.1 python3-tk-3.6.15-150300.10.21.1 python3-tk-debuginfo-3.6.15-150300.10.21.1 python3-tools-3.6.15-150300.10.21.1 - openSUSE Leap 15.3 (x86_64): libpython3_6m1_0-32bit-3.6.15-150300.10.21.1 libpython3_6m1_0-32bit-debuginfo-3.6.15-150300.10.21.1


References

https://www.suse.com/security/cve/CVE-2021-3572.html https://bugzilla.suse.com/1186819


Severity
Announcement ID: openSUSE-SU-2022:0942-1
Rating: moderate
Affected Products: openSUSE Leap 15.3 openSUSE Leap 15.4 . Affected Products: openSUSE Leap 15.3 openSUSE Leap 15.4 .

Related News

We use cookies to provide and improve our services. By using our site, you consent to our Cookie Policy.